
CONFIG PROHIBIT = AA20;
CONFIG PROHIBIT = AA21;
CONFIG PROHIBIT = AA3;
CONFIG PROHIBIT = AB20;
CONFIG PROHIBIT = C3;
CONFIG PROHIBIT = L1;
CONFIG PROHIBIT = V19;
CONFIG PROHIBIT = V20;
CONFIG PROHIBIT = Y19;
CONFIG PROHIBIT = Y20;
CONFIG PROHIBIT = Y4;

CONFIG VCCAUX=2.5;

NET "ADC_DAV_I" IOSTANDARD = SSTL2_I;
NET "ADC_DAV_I" LOC = W1;
NET "button1_i" IOSTANDARD = LVCMOS33;
NET "button1_i" LOC = H5;
NET "button2_i" IOSTANDARD = LVCMOS33;
NET "button2_i" LOC = H6;
NET "CK_40M_N_O" IOSTANDARD = LVDS_25;
NET "CK_40M_N_O" LOC = AB4;
NET "CK_40M_P_O" IOSTANDARD = LVDS_25;
NET "CK_40M_P_O" LOC = AA4;
NET "CK_R_O" DRIVE = 12;
NET "CK_R_O" IOSTANDARD = LVCMOS33;
NET "CK_R_O" LOC = W4;
NET "CK_R_O" SLEW = SLOW;
NET "CK_SC_O" DRIVE = 12;
NET "CK_SC_O" IOSTANDARD = LVCMOS33;
NET "CK_SC_O" LOC = V1;
NET "CK_SC_O" SLEW = SLOW;
NET "clk_125m_pllref_n_i" IOSTANDARD = LVDS_25;
NET "clk_125m_pllref_n_i" LOC = K22 | DIFF_TERM=TRUE;
NET "clk_125m_pllref_n_i" TNM_NET = "clk_125m_pllref_n_i";
NET "clk_125m_pllref_p_i" IOSTANDARD = LVDS_25;
NET "clk_125m_pllref_p_i" LOC = K21 | DIFF_TERM=TRUE;
NET "clk_125m_pllref_p_i" TNM_NET = "clk_125m_pllref_p_i";
NET "clk_20m_vcxo_i" IOSTANDARD = LVCMOS33;
NET "clk_20m_vcxo_i" LOC = L3;
NET "clk_20m_vcxo_i" TNM_NET = "clk_20m_vcxo_i";
NET "CTEST_O[0]" DRIVE = 12;
NET "CTEST_O[0]" IOSTANDARD = LVCMOS33;
NET "CTEST_O[0]" LOC = E3;
NET "CTEST_O[0]" SLEW = SLOW;
NET "CTEST_O[1]" DRIVE = 12;
NET "CTEST_O[1]" IOSTANDARD = LVCMOS33;
NET "CTEST_O[1]" LOC = E1;
NET "CTEST_O[1]" SLEW = SLOW;
NET "CTEST_O[2]" DRIVE = 12;
NET "CTEST_O[2]" IOSTANDARD = LVCMOS33;
NET "CTEST_O[2]" LOC = D2;
NET "CTEST_O[2]" SLEW = SLOW;
NET "CTEST_O[3]" DRIVE = 12;
NET "CTEST_O[3]" IOSTANDARD = LVCMOS33;
NET "CTEST_O[3]" LOC = D1;
NET "CTEST_O[3]" SLEW = SLOW;
NET "CTEST_O[4]" DRIVE = 12;
NET "CTEST_O[4]" IOSTANDARD = LVCMOS33;
NET "CTEST_O[4]" LOC = C1;
NET "CTEST_O[4]" SLEW = SLOW;
NET "CTEST_O[5]" DRIVE = 12;
NET "CTEST_O[5]" IOSTANDARD = LVCMOS33;
# NET "CTEST_O[5]" LOC = B1;
NET "CTEST_O[5]" LOC = E4;
NET "CTEST_O[5]" SLEW = SLOW;
NET "dip_switch_i[0]" IOSTANDARD = LVCMOS33;
NET "dip_switch_i[0]" LOC = J6;
NET "dip_switch_i[1]" IOSTANDARD = LVCMOS33;
NET "dip_switch_i[1]" LOC = J4;
NET "dip_switch_i[2]" IOSTANDARD = LVCMOS33;
NET "dip_switch_i[2]" LOC = J3;
NET "dip_switch_i[3]" IOSTANDARD = LVCMOS33;
NET "dip_switch_i[3]" LOC = K1;
NET "D_R_O" DRIVE = 12;
NET "D_R_O" IOSTANDARD = LVCMOS33;
NET "D_R_O" LOC = V2;
NET "D_R_O" SLEW = SLOW;
NET "D_SC_O" DRIVE = 12;
NET "D_SC_O" IOSTANDARD = LVCMOS33;
NET "D_SC_O" LOC = V3;
NET "D_SC_O" SLEW = SLOW;
NET "enable_gclk_drive_o" DRIVE = 12;
NET "enable_gclk_drive_o" IOSTANDARD = LVCMOS33;
NET "enable_gclk_drive_o" LOC = T1;
NET "enable_gclk_drive_o" SLEW = SLOW;
NET "enable_globaltrig_drive_o" DRIVE = 12;
NET "enable_globaltrig_drive_o" IOSTANDARD = LVCMOS33;
NET "enable_globaltrig_drive_o" LOC = T2;
NET "enable_globaltrig_drive_o" SLEW = SLOW;
NET "EN_OTAQ_O" DRIVE = 12;
NET "EN_OTAQ_O" IOSTANDARD = LVCMOS33;
NET "EN_OTAQ_O" LOC = V5;
NET "EN_OTAQ_O" SLEW = SLOW;
#- NET "fpga_pll_ref_clk_101_n_i" LOC = F12 | DIFF_TERM=TRUE;
#- NET "fpga_pll_ref_clk_101_n_i" TNM_NET = "fpga_pll_ref_clk_101_n_i";
#- NET "fpga_pll_ref_clk_101_p_i" LOC = E12 | DIFF_TERM=TRUE;
NET "fpga_pll_ref_clk_123_n_i" LOC = D11 | DIFF_TERM=TRUE;
NET "fpga_pll_ref_clk_123_p_i" LOC = C11 | DIFF_TERM=TRUE;
NET "fpga_pll_ref_clk_123_p_i" TNM_NET = "fpga_pll_ref_clk_123_p_i";
NET "fpga_scl_b" DRIVE = 12;
NET "fpga_scl_b" IOSTANDARD = LVCMOS33;
NET "fpga_scl_b" LOC = T3;
NET "fpga_scl_b" SLEW = SLOW;
NET "fpga_sda_b" DRIVE = 12;
NET "fpga_sda_b" IOSTANDARD = LVCMOS33;
NET "fpga_sda_b" LOC = T4;
NET "fpga_sda_b" SLEW = SLOW;
NET "GPIO[0]" DRIVE = 12;
NET "GPIO[0]" IOSTANDARD = LVCMOS33;
NET "GPIO[0]" LOC = G4;
NET "GPIO[0]" SLEW = SLOW;
NET "GPIO[1]" DRIVE = 12;
NET "GPIO[1]" IOSTANDARD = LVCMOS33;
NET "GPIO[1]" LOC = G3;
NET "GPIO[1]" SLEW = SLOW;
NET "GPIO[2]" DRIVE = 12;
NET "GPIO[2]" IOSTANDARD = LVCMOS33;
NET "GPIO[2]" LOC = G1;
NET "GPIO[2]" SLEW = SLOW;
NET "GPIO[3]" DRIVE = 12;
NET "GPIO[3]" IOSTANDARD = LVCMOS33;
NET "GPIO[3]" LOC = G6;
NET "GPIO[3]" SLEW = SLOW;
NET "GPIO[4]" DRIVE = 12;
NET "GPIO[4]" IOSTANDARD = LVCMOS33;
NET "GPIO[4]" LOC = F3;
NET "GPIO[4]" SLEW = SLOW;
NET "GPIO[5]" DRIVE = 12;
NET "GPIO[5]" IOSTANDARD = LVCMOS33;
NET "GPIO[5]" LOC = F2;
NET "GPIO[5]" SLEW = SLOW;
NET "GPIO[6]" DRIVE = 12;
NET "GPIO[6]" IOSTANDARD = LVCMOS33;
NET "GPIO[6]" LOC = F1;
NET "GPIO[6]" SLEW = SLOW;
NET "GPIO[7]" IOSTANDARD = LVCMOS33;
NET "GPIO[7]" LOC = F5;
NET "GPIO[7]" PULLDOWN=true;
NET "HOLD1_O" DRIVE = 12;
NET "HOLD1_O" IOSTANDARD = LVCMOS33;
NET "HOLD1_O" LOC = Y2;
NET "HOLD1_O" SLEW = SLOW;
NET "HOLD2_O" DRIVE = 12;
NET "HOLD2_O" IOSTANDARD = LVCMOS33;
NET "HOLD2_O" LOC = AA2;
NET "HOLD2_O" SLEW = SLOW;
NET "leds_o[0]" DRIVE = 12;
NET "leds_o[0]" IOSTANDARD = LVCMOS33;
NET "leds_o[0]" LOC = H4;
NET "leds_o[0]" SLEW = SLOW;
NET "leds_o[1]" DRIVE = 12;
NET "leds_o[1]" IOSTANDARD = LVCMOS33;
NET "leds_o[1]" LOC = H3;
NET "leds_o[1]" SLEW = SLOW;
NET "leds_o[2]" DRIVE = 12;
NET "leds_o[2]" IOSTANDARD = LVCMOS33;
NET "leds_o[2]" LOC = H2;
NET "leds_o[2]" SLEW = SLOW;
NET "leds_o[3]" DRIVE = 12;
NET "leds_o[3]" IOSTANDARD = LVCMOS33;
NET "leds_o[3]" LOC = H1;
NET "leds_o[3]" SLEW = SLOW;
NET "leds_o[4]" DRIVE = 12;
NET "leds_o[4]" IOSTANDARD = LVCMOS33;
NET "leds_o[4]" LOC = J1;
NET "leds_o[4]" SLEW = SLOW;
NET "lvds_gclk_from_fpga_n_o" IOSTANDARD = LVDS_25;
NET "lvds_gclk_from_fpga_n_o" LOC = AB17;
NET "lvds_gclk_from_fpga_p_o" IOSTANDARD = LVDS_25;
NET "lvds_gclk_from_fpga_p_o" LOC = Y17;
NET "lvds_gclk_to_fpga_n_i" IOSTANDARD = LVDS_25;
NET "lvds_gclk_to_fpga_n_i" LOC = AB12;
NET "lvds_gclk_to_fpga_p_i" IOSTANDARD = LVDS_25;
NET "lvds_gclk_to_fpga_p_i" LOC = AA12;
NET "lvds_globaltrig_from_fpga_n_o" IOSTANDARD = LVDS_25;
NET "lvds_globaltrig_from_fpga_n_o" LOC = AB18;
NET "lvds_globaltrig_from_fpga_p_o" IOSTANDARD = LVDS_25;
NET "lvds_globaltrig_from_fpga_p_o" LOC = AA18;
NET "lvds_globaltrig_to_fpga_n_i" IOSTANDARD = LVDS_25;
NET "lvds_globaltrig_to_fpga_n_i" LOC = AB13;
NET "lvds_globaltrig_to_fpga_p_i" IOSTANDARD = LVDS_25;
NET "lvds_globaltrig_to_fpga_p_i" LOC = Y13;
NET "lvds_left_clk_n_b" IOSTANDARD = LVDS_25;
NET "lvds_left_clk_n_b" LOC = F15;
NET "lvds_left_clk_p_b" IOSTANDARD = LVDS_25;
NET "lvds_left_clk_p_b" LOC = F14;
NET "lvds_left_clk_p_b" TNM_NET = "lvds_left_clk_p_b";
NET "lvds_left_data_n_b[0]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[0]" LOC = A20;
NET "lvds_left_data_n_b[10]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[10]" LOC = E6;
NET "lvds_left_data_n_b[11]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[11]" LOC = D5;
NET "lvds_left_data_n_b[12]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[12]" LOC = A5;
NET "lvds_left_data_n_b[13]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[13]" LOC = A4;
NET "lvds_left_data_n_b[14]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[14]" LOC = A3;
NET "lvds_left_data_n_b[15]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[15]" LOC = A2;
NET "lvds_left_data_n_b[1]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[1]" LOC = A19;
NET "lvds_left_data_n_b[2]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[2]" LOC = D19;
NET "lvds_left_data_n_b[3]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[3]" LOC = A18;
NET "lvds_left_data_n_b[4]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[4]" LOC = A17;
NET "lvds_left_data_n_b[5]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[5]" LOC = C18;
NET "lvds_left_data_n_b[6]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[6]" LOC = F17;
NET "lvds_left_data_n_b[7]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[7]" LOC = F16;
NET "lvds_left_data_n_b[8]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[8]" LOC = F9;
NET "lvds_left_data_n_b[9]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_n_b[9]" LOC = F8;
NET "lvds_left_data_p_b[0]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[0]" LOC = B20;
NET "lvds_left_data_p_b[10]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[10]" LOC = E5;
NET "lvds_left_data_p_b[11]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[11]" LOC = D4;
NET "lvds_left_data_p_b[12]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[12]" LOC = C5;
NET "lvds_left_data_p_b[13]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[13]" LOC = C4;
NET "lvds_left_data_p_b[14]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[14]" LOC = B3;
NET "lvds_left_data_p_b[15]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[15]" LOC = B2;
NET "lvds_left_data_p_b[1]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[1]" LOC = C19;
NET "lvds_left_data_p_b[2]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[2]" LOC = D18;
NET "lvds_left_data_p_b[3]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[3]" LOC = B18;
NET "lvds_left_data_p_b[4]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[4]" LOC = C17;
NET "lvds_left_data_p_b[5]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[5]" LOC = D17;
NET "lvds_left_data_p_b[6]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[6]" LOC = G16;
NET "lvds_left_data_p_b[7]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[7]" LOC = E16;
NET "lvds_left_data_p_b[8]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[8]" LOC = G8;
NET "lvds_left_data_p_b[9]" IOSTANDARD = LVDS_25;
NET "lvds_left_data_p_b[9]" LOC = F7;
NET "lvds_otrig_from_fpga_n_o" IOSTANDARD = LVDS_25;
NET "lvds_otrig_from_fpga_n_o" LOC = AB16;
NET "lvds_otrig_from_fpga_p_o" IOSTANDARD = LVDS_25;
NET "lvds_otrig_from_fpga_p_o" LOC = AA16;
NET "lvds_otrig_to_fpga_n_i" IOSTANDARD = LVDS_25;
NET "lvds_otrig_to_fpga_n_i" LOC = Y18;
NET "lvds_otrig_to_fpga_p_i" IOSTANDARD = LVDS_25;
NET "lvds_otrig_to_fpga_p_i" LOC = W17;
NET "lvds_right_clk_n_b" IOSTANDARD = LVDS_25;
NET "lvds_right_clk_n_b" LOC = AB11;
NET "lvds_right_clk_p_b" IOSTANDARD = LVDS_25;
NET "lvds_right_clk_p_b" LOC = Y11;
NET "lvds_right_clk_p_b" TNM_NET = "lvds_right_clk_p_b";
NET "lvds_right_data_n_b[0]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[0]" LOC = AB15;
NET "lvds_right_data_n_b[10]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[10]" LOC = AB8;
NET "lvds_right_data_n_b[11]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[11]" LOC = AB7;
NET "lvds_right_data_n_b[12]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[12]" LOC = W8;
NET "lvds_right_data_n_b[13]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[13]" LOC = Y6;
NET "lvds_right_data_n_b[14]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[14]" LOC = AB6;
NET "lvds_right_data_n_b[15]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[15]" LOC = AB5;
NET "lvds_right_data_n_b[1]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[1]" LOC = AB14;
NET "lvds_right_data_n_b[2]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[2]" LOC = Y14;
NET "lvds_right_data_n_b[3]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[3]" LOC = W13;
NET "lvds_right_data_n_b[4]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[4]" LOC = Y12;
NET "lvds_right_data_n_b[5]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[5]" LOC = W11;
NET "lvds_right_data_n_b[6]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[6]" LOC = Y10;
NET "lvds_right_data_n_b[7]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[7]" LOC = AB10;
NET "lvds_right_data_n_b[8]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[8]" LOC = AB9;
NET "lvds_right_data_n_b[9]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_n_b[9]" LOC = Y8;
NET "lvds_right_data_p_b[0]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[0]" LOC = Y15;
NET "lvds_right_data_p_b[10]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[10]" LOC = AA8;
NET "lvds_right_data_p_b[11]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[11]" LOC = Y7;
NET "lvds_right_data_p_b[12]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[12]" LOC = V7;
NET "lvds_right_data_p_b[13]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[13]" LOC = W6;
NET "lvds_right_data_p_b[14]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[14]" LOC = AA6;
NET "lvds_right_data_p_b[15]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[15]" LOC = Y5;
NET "lvds_right_data_p_b[1]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[1]" LOC = AA14;
NET "lvds_right_data_p_b[2]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[2]" LOC = W14;
NET "lvds_right_data_p_b[3]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[3]" LOC = V13;
NET "lvds_right_data_p_b[4]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[4]" LOC = W12;
NET "lvds_right_data_p_b[5]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[5]" LOC = V11;
NET "lvds_right_data_p_b[6]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[6]" LOC = W10;
NET "lvds_right_data_p_b[7]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[7]" LOC = AA10;
NET "lvds_right_data_p_b[8]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[8]" LOC = Y9;
NET "lvds_right_data_p_b[9]" IOSTANDARD = LVDS_25;
NET "lvds_right_data_p_b[9]" LOC = W9;
NET "MAROC_TRIGGER_I[0]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[0]" LOC = Y21;
NET "MAROC_TRIGGER_I[10]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[10]" LOC = T18;
NET "MAROC_TRIGGER_I[11]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[11]" LOC = T19;
NET "MAROC_TRIGGER_I[12]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[12]" LOC = T20;
NET "MAROC_TRIGGER_I[13]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[13]" LOC = T21;
NET "MAROC_TRIGGER_I[14]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[14]" LOC = T22;
NET "MAROC_TRIGGER_I[15]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[15]" LOC = R20;
NET "MAROC_TRIGGER_I[16]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[16]" LOC = R22;
NET "MAROC_TRIGGER_I[17]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[17]" LOC = P17;
NET "MAROC_TRIGGER_I[18]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[18]" LOC = P18;
NET "MAROC_TRIGGER_I[19]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[19]" LOC = P19;
NET "MAROC_TRIGGER_I[1]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[1]" LOC = Y22;
NET "MAROC_TRIGGER_I[20]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[20]" LOC = P20;
NET "MAROC_TRIGGER_I[21]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[21]" LOC = P21;
NET "MAROC_TRIGGER_I[22]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[22]" LOC = P22;
NET "MAROC_TRIGGER_I[23]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[23]" LOC = N19;
NET "MAROC_TRIGGER_I[24]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[24]" LOC = N20;
NET "MAROC_TRIGGER_I[25]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[25]" LOC = N22;
NET "MAROC_TRIGGER_I[26]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[26]" LOC = M17;
NET "MAROC_TRIGGER_I[27]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[27]" LOC = M18;
NET "MAROC_TRIGGER_I[28]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[28]" LOC = M19;
NET "MAROC_TRIGGER_I[29]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[29]" LOC = M20;
NET "MAROC_TRIGGER_I[2]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[2]" LOC = W20;
NET "MAROC_TRIGGER_I[30]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[30]" LOC = M21;
NET "MAROC_TRIGGER_I[31]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[31]" LOC = M22;
NET "MAROC_TRIGGER_I[32]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[32]" LOC = L17;
NET "MAROC_TRIGGER_I[33]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[33]" LOC = L19;
NET "MAROC_TRIGGER_I[34]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[34]" LOC = L20;
NET "MAROC_TRIGGER_I[35]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[35]" LOC = L22;
NET "MAROC_TRIGGER_I[36]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[36]" LOC = K17;
NET "MAROC_TRIGGER_I[37]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[37]" LOC = K18;
NET "MAROC_TRIGGER_I[38]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[38]" LOC = K19;
NET "MAROC_TRIGGER_I[39]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[39]" LOC = K20;
NET "MAROC_TRIGGER_I[3]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[3]" LOC = W22;
NET "MAROC_TRIGGER_I[40]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[40]" LOC = J17;
NET "MAROC_TRIGGER_I[41]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[41]" LOC = J19;
NET "MAROC_TRIGGER_I[42]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[42]" LOC = J20;
NET "MAROC_TRIGGER_I[43]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[43]" LOC = J22;
NET "MAROC_TRIGGER_I[44]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[44]" LOC = H17;
NET "MAROC_TRIGGER_I[45]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[45]" LOC = H18;
NET "MAROC_TRIGGER_I[46]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[46]" LOC = H19;
NET "MAROC_TRIGGER_I[47]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[47]" LOC = H20;
NET "MAROC_TRIGGER_I[48]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[48]" LOC = H21;
NET "MAROC_TRIGGER_I[49]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[49]" LOC = H22;
NET "MAROC_TRIGGER_I[4]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[4]" LOC = V21;
NET "MAROC_TRIGGER_I[50]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[50]" LOC = G19;
NET "MAROC_TRIGGER_I[51]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[51]" LOC = G20;
NET "MAROC_TRIGGER_I[52]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[52]" LOC = G22;
NET "MAROC_TRIGGER_I[53]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[53]" LOC = F18;
NET "MAROC_TRIGGER_I[54]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[54]" LOC = F20;
NET "MAROC_TRIGGER_I[55]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[55]" LOC = F21;
NET "MAROC_TRIGGER_I[56]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[56]" LOC = F22;
NET "MAROC_TRIGGER_I[57]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[57]" LOC = E20;
NET "MAROC_TRIGGER_I[58]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[58]" LOC = E22;
NET "MAROC_TRIGGER_I[59]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[59]" LOC = D21;
NET "MAROC_TRIGGER_I[5]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[5]" LOC = V22;
NET "MAROC_TRIGGER_I[60]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[60]" LOC = C20;
NET "MAROC_TRIGGER_I[61]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[61]" LOC = C22;
NET "MAROC_TRIGGER_I[62]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[62]" LOC = B21;
NET "MAROC_TRIGGER_I[63]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[63]" LOC = B22;
NET "MAROC_TRIGGER_I[6]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[6]" LOC = U19;
NET "MAROC_TRIGGER_I[7]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[7]" LOC = U20;
NET "MAROC_TRIGGER_I[8]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[8]" LOC = U22;
NET "MAROC_TRIGGER_I[9]" IOSTANDARD = SSTL2_I;
NET "MAROC_TRIGGER_I[9]" LOC = T17;
NET "one_wire_b" DRIVE = 12;
NET "one_wire_b" IOSTANDARD = LVCMOS33;
NET "one_wire_b" LOC = T5;
NET "one_wire_b" SLEW = SLOW;
NET "OR_I[1]" IOSTANDARD = SSTL2_I;
NET "OR_I[1]" LOC = N6;
NET "OR_I[2]" IOSTANDARD = SSTL2_I;
NET "OR_I[2]" LOC = P6;
NET "OUT_ADC_I" IOSTANDARD = SSTL2_I;
NET "OUT_ADC_I" LOC = W3;
NET "pll25dac1_sync_n_o" DRIVE = 12;
NET "pll25dac1_sync_n_o" IOSTANDARD = LVCMOS33;
NET "pll25dac1_sync_n_o" LOC = R1;
NET "pll25dac1_sync_n_o" SLEW = SLOW;
NET "pll25dac2_sync_n_o" DRIVE = 12;
NET "pll25dac2_sync_n_o" IOSTANDARD = LVCMOS33;
NET "pll25dac2_sync_n_o" LOC = R3;
NET "pll25dac2_sync_n_o" SLEW = SLOW;
NET "pll25dac_din_o" DRIVE = 12;
NET "pll25dac_din_o" IOSTANDARD = LVCMOS33;
NET "pll25dac_din_o" LOC = R4;
NET "pll25dac_din_o" SLEW = SLOW;
NET "pll25dac_sclk_o" DRIVE = 12;
NET "pll25dac_sclk_o" IOSTANDARD = LVCMOS33;
NET "pll25dac_sclk_o" LOC = P1;
NET "pll25dac_sclk_o" SLEW = SLOW;
#NET "Q_R_I_IBUF" IOSTANDARD = LVCMOS33;
NET "Q_R_I" IOSTANDARD = LVCMOS33;
NET "Q_R_I" LOC = U1;
#NET "Q_SC_I_IBUF" IOSTANDARD = LVCMOS33;
NET "Q_SC_I" IOSTANDARD = LVCMOS33;
NET "Q_SC_I" LOC = U3;
NET "RST_ADC_N_O" DRIVE = 12;
NET "RST_ADC_N_O" IOSTANDARD = LVCMOS33;
NET "RST_ADC_N_O" LOC = AA1;
NET "RST_ADC_N_O" SLEW = SLOW;
NET "RST_R_N_O" DRIVE = 12;
NET "RST_R_N_O" IOSTANDARD = LVCMOS33;
NET "RST_R_N_O" LOC = Y1;
#NET "RST_R_N_O_OBUF" IOSTANDARD = LVCMOS33;
NET "RST_R_N_O" SLEW = SLOW;
NET "RST_SC_N_O" DRIVE = 12;
NET "RST_SC_N_O" IOSTANDARD = LVCMOS33;
NET "RST_SC_N_O" LOC = U4;
#NET "RST_SC_N_O_OBUF" IOSTANDARD = LVCMOS33;
NET "RST_SC_N_O" SLEW = SLOW;
#-NET "sata_rxp_i[0]" LOC = D13;
NET "sata_rxn_i" LOC = C9;
#-NET "sata_rxn_i[0]" LOC = C13;
NET "sata_rxp_i" LOC = D9;
#-NET "sata_txp_o[0]" LOC = B14;
NET "sata_txn_o" LOC = A8;
#-NET "sata_txn_o[0]" LOC = A14;
NET "sata_txp_o" LOC = B8;
NET "sfp_mod_def*" PULLUP=true;
NET "sfp_rate_select_b*" PULLUP=true;
NET "sfp_los_i[0]" IOSTANDARD = LVCMOS33;
NET "sfp_los_i[0]" LOC = P3;
NET "sfp_los_i[1]" IOSTANDARD = LVCMOS33;
NET "sfp_los_i[1]" LOC = N4;
NET "sfp_mod_def0_b[0]" IOSTANDARD = LVCMOS33;
NET "sfp_mod_def0_b[0]" LOC = K4;
NET "sfp_mod_def0_b[1]" IOSTANDARD = LVCMOS33;
NET "sfp_mod_def0_b[1]" LOC = K2;
NET "sfp_mod_def1_b[0]" DRIVE = 12;
NET "sfp_mod_def1_b[0]" IOSTANDARD = LVCMOS33;
NET "sfp_mod_def1_b[0]" LOC = N3;
NET "sfp_mod_def1_b[0]" SLEW = SLOW;
NET "sfp_mod_def1_b[1]" DRIVE = 12;
NET "sfp_mod_def1_b[1]" IOSTANDARD = LVCMOS33;
NET "sfp_mod_def1_b[1]" LOC = M2;
NET "sfp_mod_def1_b[1]" SLEW = SLOW;
NET "sfp_mod_def2_b[0]" DRIVE = 12;
NET "sfp_mod_def2_b[0]" IOSTANDARD = LVCMOS33;
NET "sfp_mod_def2_b[0]" LOC = N1;
NET "sfp_mod_def2_b[0]" SLEW = SLOW;
NET "sfp_mod_def2_b[1]" DRIVE = 12;
NET "sfp_mod_def2_b[1]" IOSTANDARD = LVCMOS33;
NET "sfp_mod_def2_b[1]" LOC = M1;
NET "sfp_mod_def2_b[1]" SLEW = SLOW;
NET "sfp_rate_select_b[0]" DRIVE = 12;
NET "sfp_rate_select_b[0]" IOSTANDARD = LVCMOS33;
NET "sfp_rate_select_b[0]" LOC = P5;
NET "sfp_rate_select_b[0]" SLEW = SLOW;
NET "sfp_rate_select_b[1]" DRIVE = 12;
NET "sfp_rate_select_b[1]" IOSTANDARD = LVCMOS33;
NET "sfp_rate_select_b[1]" LOC = P4;
NET "sfp_rate_select_b[1]" SLEW = SLOW;
#-NET "sfp_rxn_i[0]" LOC = C15;
NET "sfp_rxn_i" LOC = C7;
#-NET "sfp_rxp_i[0]" LOC = D15;
NET "sfp_rxp_i" LOC = D7;
NET "sfp_tx_disable_o[0]" DRIVE = 12;
NET "sfp_tx_disable_o[0]" IOSTANDARD = LVCMOS33;
NET "sfp_tx_disable_o[0]" LOC = K5;
NET "sfp_tx_disable_o[0]" SLEW = SLOW;
NET "sfp_tx_disable_o[1]" DRIVE = 12;
NET "sfp_tx_disable_o[1]" IOSTANDARD = LVCMOS33;
NET "sfp_tx_disable_o[1]" LOC = K6;
NET "sfp_tx_disable_o[1]" SLEW = SLOW;
NET "sfp_tx_fault_i[0]" IOSTANDARD = LVCMOS33;
NET "sfp_tx_fault_i[0]" LOC = K3;
NET "sfp_tx_fault_i[1]" IOSTANDARD = LVCMOS33;
NET "sfp_tx_fault_i[1]" LOC = L6;
#-NET "sfp_txn_o[0]" LOC = A16;
NET "sfp_txn_o" LOC = A6;
#-NET "sfp_txp_o[0]" LOC = B16;
NET "sfp_txp_o" LOC = B6;
NET "si57x_clk_n_i" IOSTANDARD = LVDS_25;
NET "si57x_clk_n_i" LOC = L4;
NET "si57x_clk_p_i" IOSTANDARD = LVDS_25;
NET "si57x_clk_p_i" LOC = M3;
NET "si57x_oe_o" DRIVE = 12;
NET "si57x_oe_o" IOSTANDARD = LVCMOS33;
NET "si57x_oe_o" LOC = P2;
NET "si57x_oe_o" SLEW = SLOW;
NET "START_ADC_N_O" DRIVE = 12;
NET "START_ADC_N_O" IOSTANDARD = LVCMOS33;
NET "START_ADC_N_O" LOC = Y3;
NET "START_ADC_N_O" SLEW = SLOW;


TIMESPEC TS_clk_125m_pllref_p_i = PERIOD "clk_125m_pllref_p_i" 125 MHz HIGH 50 %;
TIMESPEC TS_clk_20m_vcxo_i = PERIOD "clk_20m_vcxo_i" 20 MHz HIGH 50 %;
#- TIMESPEC TS_fpga_pll_ref_clk_101_n_i = PERIOD "fpga_pll_ref_clk_101_n_i" 125 MHz HIGH 50 %;
TIMESPEC TS_fpga_pll_ref_clk_123_p_i = PERIOD "fpga_pll_ref_clk_123_p_i" 125 MHz HIGH 50 %;
TIMESPEC TS_lvds_left_clk_p_b = PERIOD "lvds_left_clk_p_b" 125 MHz HIGH 50 %;
TIMESPEC TS_lvds_right_clk_p_b = PERIOD "lvds_right_clk_p_b" 125 MHz HIGH 50 %;

# Don't care about the timing of these signals w.r.t. clock, since they are static during data acqusition
NET "*s_triggerSourceSelect*" TIG;
NET "*s_hold1Delay*" TIG;
NET "*s_hold2Delay*" TIG;
# Don't care about timing of reset signal
NET "IPBusInterface_inst/generate_physicalmac.clocks/rst*" TIG;
NET "maroc/slave2_trigger/s_counter_reset_ipb" TIG;

# Bodge, bodge
NET "maroc/slave5_triggerCounter/*reset*" TIG;
NET "maroc/slave5_triggerCounter/inst_sync_reg/*ring*" TIG;
NET "maroc/slave5_triggerCounter/inst_sync_reg/*data*" TIG;